resources

## Class AgentID

- java.lang.Object
- - resources.AgentID

-     public class AgentID
      extends java.lang.Object

  Version:
    1.0
  Author:
    Alan Mills

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AgentID(Constants.AgentType pAgentType, int pAgentNumber)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getAgentIDString()` Returns the agent's identifier as a string.
    `int` | `getAgentNumber()` Gets the agentNumber attribute.
    `Constants.AgentType` | `getAgentType()` Gets the agentType attribute.
    `void` | `setAgentNumber(int pAgentNumber)` Sets the agentNumber attribute.
    `void` | `setAgentType(Constants.AgentType pAgentType)` Sets the agentType attribute.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AgentID

          public AgentID(Constants.AgentType pAgentType,
                 int pAgentNumber)

      Parameters:
        `pAgentType` -
        `pAgentNumber` -

  - ### Method Detail

    - #### getAgentIDString

          public java.lang.String getAgentIDString()

      Returns the agent's identifier as a string.
      Returns:
        the agent's identifier as a string.

    - #### getAgentType

          public Constants.AgentType getAgentType()

      Gets the agentType attribute.
      Returns:
        agentType

    - #### setAgentType

          public void setAgentType(Constants.AgentType pAgentType)

      Sets the agentType attribute.
      Parameters:
        `pAgentType` -

    - #### getAgentNumber

          public int getAgentNumber()

      Gets the agentNumber attribute.
      Returns:
        agentNumber

    - #### setAgentNumber

          public void setAgentNumber(int pAgentNumber)

      Sets the agentNumber attribute.
      Parameters:
        `pAgentNumber` -